//--------------------------------------------------------
//Code generated by Papyrus Java
//--------------------------------------------------------

package Problema3;

/************************************************************/
/**
* 
*/
public class cuerpoCeleste {
	/**
	 * @param nombre
	 * @param localizaciones
	 * @param composicion
	 */
	public cuerpoCeleste(String nombre, Ubicacion localizaciones, String composicion) {
		super();
		this.nombre = nombre;
		this.localizaciones = localizaciones;
		this.composicion = composicion;
	}

	/**
	 * 
	 */
	public cuerpoCeleste() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 */
	private String nombre;
	/**
	 * 
	 */
	private Ubicacion localizaciones;
	/**
	 * 
	 */
	private String composicion;

	/**
	 * 
	 * @param i 
	 * @param j 
	 * @return 
	 */
	public float desplazamiento(int i, int j) {
		return j;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public Ubicacion getLocalizaciones() {
		return localizaciones;
	}

	public void setLocalizaciones(Ubicacion localizaciones) {
		this.localizaciones = localizaciones;
	}

	public String getComposicion() {
		return composicion;
	}

	public void setComposicion(String composicion) {
		this.composicion = composicion;
	}

	@Override
	public String toString() {
		return "cuerpoCeleste [nombre=" + nombre + ", localizaciones=" + localizaciones + ", composicion=" + composicion
				+ "]";
	}

	/**
	 * 
	 */
}

